GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Macros | Typedefs | Functions
fd_posix.h File Reference
`#include "src/core/iomgr/iomgr_internal.h"`
`#include "src/core/iomgr/pollset.h"`
`#include <grpc/support/atm.h>`
`#include <grpc/support/sync.h>`
`#include <grpc/support/time.h>`

Go to the source code of this file.

## Data Structures
struct | grpc_fd_watcher
struct | grpc_fd

## Macros
#define | GRPC_FD_REF(fd, reason) grpc_fd_ref(fd)
#define | GRPC_FD_UNREF(fd, reason) grpc_fd_unref(fd)

## Typedefs
typedef struct grpc_fd | grpc_fd
typedef struct grpc_fd_watcher | grpc_fd_watcher

## Functions
grpc_fd * | grpc_fd_create (int fd, const char *name)
void | grpc_fd_orphan (grpc_fd *fd, grpc_iomgr_closure *on_done, const char *reason)
gpr_uint32 | grpc_fd_begin_poll (grpc_fd *fd, grpc_pollset *pollset, gpr_uint32 read_mask, gpr_uint32 write_mask, grpc_fd_watcher *rec)
void | grpc_fd_end_poll (grpc_fd_watcher *rec, int got_read, int got_write)
int | grpc_fd_is_orphaned (grpc_fd *fd)
void | grpc_fd_shutdown (grpc_fd *fd)
void | grpc_fd_notify_on_read (grpc_fd *fd, grpc_iomgr_closure *closure)
void | grpc_fd_notify_on_write (grpc_fd *fd, grpc_iomgr_closure *closure)
void | grpc_fd_become_readable (grpc_fd *fd, int allow_synchronous_callback)
void | grpc_fd_become_writable (grpc_fd *fd, int allow_synchronous_callback)
void | grpc_fd_ref (grpc_fd *fd)
void | grpc_fd_unref (grpc_fd *fd)
void | grpc_fd_global_init (void)
void | grpc_fd_global_shutdown (void)

## Macro Definition Documentation

#define GRPC_FD_REF | ( |  | fd,
|  |  | reason
| ) |  | grpc_fd_ref(fd)

#define GRPC_FD_UNREF | ( |  | fd,
|  |  | reason
| ) |  | grpc_fd_unref(fd)

## Typedef Documentation

typedef struct grpc_fd grpc_fd

typedef struct grpc_fd_watcher grpc_fd_watcher

## Function Documentation

void grpc_fd_become_readable | ( | grpc_fd * | fd,
|  | int | allow_synchronous_callback
| ) |  |

void grpc_fd_become_writable | ( | grpc_fd * | fd,
|  | int | allow_synchronous_callback
| ) |  |

gpr_uint32 grpc_fd_begin_poll | ( | grpc_fd * | fd,
|  | grpc_pollset * | pollset,
|  | gpr_uint32 | read_mask,
|  | gpr_uint32 | write_mask,
|  | grpc_fd_watcher * | rec
| ) |  |

grpc_fd* grpc_fd_create | ( | int | fd,
|  | const char * | name
| ) |  |

void grpc_fd_end_poll | ( | grpc_fd_watcher * | rec,
|  | int | got_read,
|  | int | got_write
| ) |  |

void grpc_fd_global_init | ( | void |  | ) |

void grpc_fd_global_shutdown | ( | void |  | ) |

int grpc_fd_is_orphaned | ( | grpc_fd * | fd | ) |

void grpc_fd_notify_on_read | ( | grpc_fd * | fd,
|  | grpc_iomgr_closure * | closure
| ) |  |

void grpc_fd_notify_on_write | ( | grpc_fd * | fd,
|  | grpc_iomgr_closure * | closure
| ) |  |

void grpc_fd_orphan | ( | grpc_fd * | fd,
|  | grpc_iomgr_closure * | on_done,
|  | const char * | reason
| ) |  |

void grpc_fd_ref | ( | grpc_fd * | fd | ) |

void grpc_fd_shutdown | ( | grpc_fd * | fd | ) |

void grpc_fd_unref | ( | grpc_fd * | fd | ) |